//--------------------------------------------------------------
// File     : main.c
// Datum    : 01.02.2015
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SGUI
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_sgui.h"





//--------------------------------------------------------------
// Hello-World der "Simple-GUI"
//--------------------------------------------------------------
int main(void)
{
  SBUTTON_t *btn;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der SGUI
  SGUI_Init();

  // Main-Window erzeugen
  SGUI_WindowCreateMain(1);
  // Button erzeugen und beschriften
  btn=SGUI_ButtonCreate(10,20,100,40);
  SGUI_ButtonSetText(btn,"Hello");

  while(1)
  {
    SGUI_Do(); // SGUI bearbeiten
  }
}



